#include <bits/stdc++.h>
using namespace std;
#define mil 1000000
void K3(int n,int x){
    if(n%2==1){
cout <<1<<" "<<x+1<<" ";
for(int i=0;i<n-2;i++){
    cout <<x*2+1<<" ";
}cout <<endl;
}

}
int main(){
       ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
int n,k,x;
cin >>n>>k>>x;

if(k==n)K3(n,x);
}